#!/usr/bin/env python

import os,sys
import Gnuplot

def sort_files(files):

    result = []

    for entry in range(0, len(files)-1):
        result.append("")
   
    for file in files:

        if "xenperf" not in file:
            continue
        
        parts = file.split("_")
        nr = parts[2]
        result[int(nr)] = file

    return result

files = os.listdir("results")
files = sort_files(files)

def line_get_number(line):
    line = line.strip()
    while "  " in line:
        line = line.replace("  ", " ")

    parts = line.split(" ")

    return int(parts[-2])

def reset_count():
    reclaim_total = 0
    reclaim = 0
    cow_break = 0

global_max = 0

reclaim_list = []
reclaim_total_list = []
cow_break_list = []

for file in files:

    result_set = open("results/" + file, "r")
    reset_count()

    for l in result_set:
        if "reclaimed total" in l:
            reclaim_total = line_get_number(l)
        elif "reclaim" in l:
            reclaim = line_get_number(l)
        elif "cow break copy" in l:
            cow_break = line_get_number(l)

    if reclaim > global_max:
        global_max = reclaim

    reclaim_list.append(reclaim)
    cow_break_list.append(cow_break)
    reclaim_total_list.append(reclaim_total)

Gnuplot.GnuplotOpts.default_term = "pdf"
g = Gnuplot.Gnuplot(debug=0)
g('set output "sharing_' + str(len(files)) + '.pdf"')

g.xlabel("Time(minutes)")
g.ylabel("Memory (Pages)")

g('set key box')
g('set grid')
#g('set key left')
g('set key 32,' + str(global_max))

x = range(1,len(files)+1)

#g('set terminal pdf fsize 10')

d1 = Gnuplot.Data(x, reclaim_list, with='lines lw 2 lt 20 lc rgb "red"', title="Aggregated Reclaimed")
d2 = Gnuplot.Data(x, cow_break_list, with='lines lw 2 lt 20 lc rgb "#00c000"', title="Aggregated COW Breaks")
d3 = Gnuplot.Data(x, reclaim_total_list, with='lines lw 2 lt 1 lc rgb "#0080ff"', title="Reclaimed - Breaks")

g('set terminal pdf dashed dashlength 3.0 linewidth 1.0')
g('set style line 10 linetype 4 linecolor rgb "black" linewidth 3.000 pointtype 1 pointsize default')

g("set arrow from 10,0 to 10," + str(global_max) + " nohead ls 10")
g("set arrow from 51,0 to 51," + str(global_max) + " nohead ls 10")

g.plot(d1, d2, d3)
