#!/usr/bin/perl

$linenr = 0;
$read = 0;
$write = 0;
$okay = 0;
$stack = 0;
$other = 0;
$wrong = 0;
$diff = 0;
$diff_all = 0;
$diff_count = 0;
$percent = 0;
$counter = 0;
$max = 0;
$min = 100;

open(FILE, shift);

while (<FILE>) {
 
    $linenr++;

    if ($_ =~ /Write:/) {
	$write++;
	$stack++;
    } elsif ($_ =~ /Read:/) {
	$read++;
	$stack--;
    } elsif ($_ =~ /Possible shares:/) {
        @tmp = split(m/\(/, $_);
	@tmp = split(m/\)/, $tmp[$#tmp]);
	$percent = $percent + $tmp[0];
	$counter++;
	if ($counter > 10) {
	    if ($tmp[0] > $max) {
		$max = $tmp[0];
	    } elsif ($tmp < $min) {
		$min = $tmp[0];
	    }
	}
    } elsif ($_ =~ /Done with scan/) { 
        if ($stack != 0) {
	    print "Stack miss: $stack\n";
    	    print "At line:    $linenr\n";
        }
        $stack = 0;
    } else {
	if ($_ =~ /Pages write to buffer:/) {
    	    @tmp = split(": ", $_);
	    $w  = $tmp[$#tmp];
	    chop $w;
	} elsif ($_ =~ /Pages read from buffer:/) {
    	    @tmp = split(": ", $_);
	    $r = $tmp[$#tmp];
	    chop $r;
	} elsif ($_ =~ /Still in buffer/) {
    	    @tmp = split("buffer ", $_);
	    $b =+ $tmp[$#tmp];
	    chop $b;
	    $p = $b + $r;	    
	    if ($p ne $w) {
		$diff = $p - $w;
		$wrong++;
		$diff_count += $diff;
	    } else {
		$okay++;
	    }
	    
	}
	$other++;
    }
}

$diff_all = $write - $read;
$avg = $percent/$counter;


print "Write:   $write\n";
print "Read:    $read\n";
print "Diff:    $diff_all\n\n";

print "Passed:  $okay\n";
print "Failded: $wrong\n";
print "Diff:    $diff_count\n\n";

print "Avg:     $avg\n";
print "Max:	 $max\n";
print "Min:	 $min\n\n";

print "Other:   $other\n";
close(FILE);
