#!/usr/bin/env python

import os,random,sys,time

dry_run = False
cmd_postfix = "> /dev/null 2>&1"

def print_and_log(line):
    print line
    logfile.write(line + "\n")
    logfile.flush()

def print_and_do(line):
    print_and_log(line)
    if not dry_run:
        if os.system(line + cmd_postfix):
            print "command failed!!!"
            sys.exit()

def get_dir(filename):
    d = filename[:filename.find(".tar")]
    return d

def get_cmd_from_name(filename):
    t = filename[filename.rfind(".")+1:]

    if t == "bz2":
        cmd = "tar -jxf"
    elif t == "gz":
        cmd = "tar -zxf"
    
    cmd += " src/" + filename
    return cmd

def clean_package(filename):
    dirname = get_dir(filename)
    if os.path.isdir(dirname):
        cmd = "rm -rf " + get_dir(filename)
        print_and_do(cmd)

def unpack_package(filename):
    clean_package(filename)
    cmd = get_cmd_from_name(filename)
    print_and_do(cmd)

def compile_package(filename):
    if not dry_run:
        os.chdir(get_dir(filename))
    cmd2 = "./configure"
    cmd3 = "make"
    print_and_do(cmd2)
    print_and_do(cmd3)
    if not dry_run:
        os.chdir("..")

def run_crafty():
    print_and_do("crafty bench")

def sleep():
    print_and_log("sleep 300")
    time.sleep(300)

files = os.listdir("src")

if not os.path.isdir("log"):
    os.mkdir("log")

logfile = open("log/log.dat", "w")

#currently cover gcc, bzip2, gzip and crafty
actions = ["compile"]#, "crafty"]

while (True):
    act = random.choice(actions)

    if act == "compile":
        file = random.choice(files)
        print_and_log("for " + file + ":")
        unpack_package(file)
        compile_package(file)
        clean_package(file)
    elif act == "crafty":
        run_crafty()

    sleep()
    print_and_log("")
