#!/usr/bin/env python

import os,sys
import Gnuplot

def sort_files(files):

    result = []

    for entry in range(0, len(files)-1):
        result.append("")
   
    for file in files:

        if "xenperf" not in file:
            continue
        
        parts = file.split("_")
        nr = parts[2]
        print nr + "/" + str(len(result))
        result[int(nr)] = file

    return result

def line_get_number(line):
    line = line.strip()
    while "  " in line:
        line = line.replace("  ", " ")

    parts = line.split(" ")

    return int(parts[-2])

def reset_count():
    reclaim_total = 0
    reclaim = 0
    cow_break = 0

def get_total_list(bdir):
    files = os.listdir(bdir)
    files = sort_files(files)

    reclaim_total_list = []

    for file in files:
        result_set = open(bdir + "/" + file, "r")
        reset_count()

        for l in result_set:
            if "reclaimed total" in l:
                reclaim_total = line_get_number(l)

        reclaim_total_list.append(reclaim_total)

    return reclaim_total_list



Gnuplot.GnuplotOpts.default_term = "pdf"
g = Gnuplot.Gnuplot(debug=0)
g('set output "overall.pdf"')

g.xlabel("Time(minutes)")
g.ylabel("Memory (Pages)")

g('set key box')
g('set grid')
g('set key left')
#g('set key spacing 1.5')
g("set key width 2") 

l1 = get_total_list("osdb")
l2 = get_total_list("webspec")
l3 = get_total_list("mwg")
l4 = get_total_list("mixed1")
l5 = get_total_list("mixed2")

d1 = Gnuplot.Data(range(1,len(l1)+1), l1, with='lines lw 2', title="OSDB")
d2 = Gnuplot.Data(range(1,len(l2)+1), l2, with='lines lw 2', title="SPECweb99")
d3 = Gnuplot.Data(range(1,len(l3)+1), l3, with='lines lw 2', title="MWG")
d4 = Gnuplot.Data(range(1,len(l4)+1), l4, with='lines lw 2', title="Mixed 1")
d5 = Gnuplot.Data(range(1,len(l5)+1), l5, with='lines lw 2', title="Mixed 2")

g.plot(d1, d2, d3, d4, d5)

