#!/usr/bin/env python

import os,sys
import Gnuplot

def sort_files(files):

    result = []

    for entry in range(0, len(files)-1):
        result.append("")
   
    for file in files:

        if "xenperf" not in file:
            continue
        
        parts = file.split("_")
        nr = parts[1]
        result[int(nr)-1] = file

    return result


def line_get_number(line):
    line = line.strip()
    while "  " in line:
        line = line.replace("  ", " ")

    parts = line.split(" ")

    return int(parts[-2])

def reset_count():
    reclaim_total = 0
    reclaim = 0
    cow_break = 0

def do_plot(dir, files):
    global_max = 0

    reclaim_list = []
    reclaim_total_list = []
    cow_break_list = []

    for file in files:

        result_set = open(dir + "/" + file, "r")
        reset_count()

        for l in result_set:
            if "reclaimed total" in l:
                reclaim_total = line_get_number(l)
            elif "reclaim" in l:
                reclaim = line_get_number(l)
            elif "cow break copy" in l:
                cow_break = line_get_number(l)

        if reclaim > global_max:
            global_max = reclaim

        reclaim_list.append(reclaim)
        cow_break_list.append(cow_break)
        reclaim_total_list.append(reclaim_total)

    #portage_test_random_64MB.pdf
    tmp = dir.split("-")
    output = "portage_test_random_" + tmp[-1] + ".pdf"

    Gnuplot.GnuplotOpts.default_term = "pdf"
    g = Gnuplot.Gnuplot(debug=0)
    
    g('set output "' + output + '"')

    g.xlabel("Time(minutes)")
    g.ylabel("Memory (Pages)")

    g('set key box')
    g('set grid')
    g('set key left')

    x = range(1,len(files)+1)

    d1 = Gnuplot.Data(x, reclaim_list, with='lines lw 2 lt 2 lc rgb "red"', title="Reclaimed")
    d2 = Gnuplot.Data(x, cow_break_list, with='lines lw 2 lt 20 lc rgb "#00c000"', title="CoW Breaks")
    d3 = Gnuplot.Data(x, reclaim_total_list, with='lines lw 2 lt 1 lc rgb "#0080ff"', title="Reclaimed - Breaks")

    g('set terminal pdf dashed dashlength 3.0 linewidth 1.0 fsize 10')
    g.plot(d1, d2, d3)

    print "plotted " + output

    return reclaim_total_list

total = []

for arg in sys.argv[1:]:
    files = os.listdir(arg)
    files = sort_files(files)
    l = do_plot(arg, files)
    total.append(l)
