#!/usr/bin/env python

import os,sys
import Gnuplot

def sort_files(files):

    result = []

    for entry in range(0, len(files)):
        result.append("")
   
    for file in files:

        if "xenperf" not in file:
            continue
        
        parts = file.split("_")
        nr = parts[1]
        result[int(nr)] = file

    return result

files = os.listdir("results")
files = sort_files(files)

vm_mem = (2**16 * 1024) / 4096 # in pages
vm_mem_total = 0
vm_mem_list = []
total_list = []
zero_list = []
cloned_list = []

def reset_count():
    reclaim_total = 0
    zero_pages = 0
    cloned_size = 0

def line_get_number(line):
    line = line.strip()
    while "  " in line:
        line = line.replace("  ", " ")

    parts = line.split(" ")

    return int(parts[-2])


print "vm_mem\t rc tot\t zero\t clon\t"

for file in files:

    vm_mem_total += vm_mem
    reset_count()

    result_set = open("results/" + file, "r")

    for l in result_set:
        if "reclaimed total" in l:
            reclaim_total = line_get_number(l)
        elif "dom_cloned zeropage page_count" in l:
            zero_pages = line_get_number(l)
        elif "dom_cloned tot pages" in l:
            cloned_size = line_get_number(l)

    print str(vm_mem_total) + "\t" + str(reclaim_total) + "\t" + str(zero_pages) + "\t" + str(cloned_size)
    
    vm_mem_list.append(vm_mem_total)
    total_list.append(reclaim_total)
    zero_list.append(zero_pages)
    cloned_list.append(cloned_size)

shared_list = []

count = -1
for e in cloned_list:
    count += 1
    shared_list.append(total_list[count] + cloned_list[count])


Gnuplot.GnuplotOpts.default_term = "pdf"
g = Gnuplot.Gnuplot(debug=0)
g('set output "absolute_' + str(len(files)) + '.pdf"')

g.ylabel("Memory(Pages)")
g.xlabel("Time (Seconds)")

g('set key box')
g('set grid')
#g('set key left')
#g("set logscale x")
g("set xrange [50:400]")

x = []
for d in range(1,len(files)+1):
    x.append(d*10)


g('set terminal pdf fsize 10')

#d1 = Gnuplot.Data(x, vm_mem_list, with="linespoints lw 2 pt 5", title="VMs Mem Total")   #filled square
#d2 = Gnuplot.Data(x, shared_list, with="lines lw 2", title="Shared")          #filled circle
#d3 = Gnuplot.Data(x, total_list, with="lines lw 2", title="Reclaimed")        #filled triangle
d4 = Gnuplot.Data(x, zero_list, with="lines lw 2", title="Zero Pages")        #empty circle

#g.plot(d2, d3, d4)
g.plot(d4)

