#!/usr/bin/env python

import os,sys
import Gnuplot

def sort_files(files):

    result = []

    for entry in range(0, len(files)-1):
        result.append("")
   
    for file in files:

        if "xenperf" not in file:
            continue
        
        parts = file.split("_")
        nr = parts[2]
        print nr + "/" + str(len(result))
        result[int(nr)] = file

    return result

def line_get_number(line):
    line = line.strip()
    while "  " in line:
        line = line.replace("  ", " ")

    parts = line.split(" ")

    return int(parts[-2])

def reset_count():
    reclaim_total = 0
    reclaim = 0
    cow_break = 0

def get_total_list(bdir):
    files = os.listdir(bdir)
    files = sort_files(files)

    reclaim_total_list = []

    for file in files:
        result_set = open(bdir + "/" + file, "r")
        reset_count()

        for l in result_set:
            if "reclaimed total" in l:
                reclaim_total = line_get_number(l)

        reclaim_total_list.append(reclaim_total)

    return reclaim_total_list



Gnuplot.GnuplotOpts.default_term = "pdf"
g = Gnuplot.Gnuplot(debug=0)
g('set output "overall.pdf"')

g.xlabel("Time(minutes)")
g.ylabel("Memory (Pages)")

g('set key box')
g('set grid')
g('set key left')
g("set key width 2")

#g("set y2tics 5000")
#g("set ytics nomirror")
#g('set y2label "% VM Memory')

l1 = get_total_list("osdb")
l2 = get_total_list("webspec")
l3 = get_total_list("mwg")
l4 = get_total_list("mixed1")
#l5 = get_total_list("mixed2")
l6 = get_total_list("mwg2")

d1 = Gnuplot.Data(range(1,len(l1)+1), l1, with='lines lw 2', title="OSDB")
d2 = Gnuplot.Data(range(1,len(l2)+1), l2, with='lines lw 2', title="SPECweb99")
d3 = Gnuplot.Data(range(1,len(l3)+1), l3, with='lines lw 2', title="MWG")
d4 = Gnuplot.Data(range(1,len(l4)+1), l4, with='lines lw 2', title="Mixed")
#d5 = Gnuplot.Data(range(1,len(l5)+1), l5, with='lines lw 2', title="Mixed 2")
d6 = Gnuplot.Data(range(1,len(l6)+1), l6, with='lines lw 2', title="MWG 2")


g.plot(d1, d2, d3, d6, d4)


h = Gnuplot.Gnuplot(debug=0)

h('set output "percentage.pdf"')
h('set terminal pdf dashed dashlength 3.0 linewidth 1.0')

h.xlabel("Time (Minutes)")
h.ylabel("% VM Memory")

h('set key box')
h('set grid')
h("set key left")
h("set key width 2")

h("set xrange [0:60]")

VM_no_pages = (2**17 + 2**16) *1024 / 4096
total_pages = 8.0 * VM_no_pages

pl1 = []
pl2 = []
pl3 = []
pl4 = []
#pl5 = []
pl6 = []


for l in l1:
    pl1.append(l * 100/ total_pages)

for l in l2:
    pl2.append(l * 100/ total_pages)

for l in l3:
    pl3.append(l * 100/ total_pages)

for l in l4:
    pl4.append(l * 100/ total_pages)

#for l in l5:
#    pl5.append(l * 100/ total_pages)

for l in l6:
    pl6.append(l * 100/ total_pages)

    
pd1 = Gnuplot.Data(range(1,len(pl1)+1), pl1, with='lines lw 2', title="OSDB")
pd2 = Gnuplot.Data(range(1,len(pl2)+1), pl2, with='lines lw 2 lt 2', title="SPECweb99")
pd3 = Gnuplot.Data(range(1,len(pl3)+1), pl3, with='lines lw 2 lt 3', title="MWG")
pd4 = Gnuplot.Data(range(1,len(pl4)+1), pl4, with='lines lw 2 lt 4', title="Mixed")
#pd5 = Gnuplot.Data(range(1,len(pl5)+1), pl5, with='lines lw 2 lt 5', title="Mixed 2")
pd6 = Gnuplot.Data(range(1,len(pl6)+1), pl6, with='lines lw 2 lt 6', title="MWG 2")

h.plot(pd1, pd2, pd3, pd6, pd4)

print total_pages
