#set xlabel "Time (min)"
#set ylabel "Percent"
set grid ytics
set grid noxtics
unset key

set boxwidth 0.15
set style fill solid 1.200000 border -1

#set title "Benchmarks"
set output "benchmark_brian3.pdf"
set terminal pdf
set ytics 0,.1,1.3

set xtics nomirror ("L" 0.2, "X" 0.4, "S" 0.6, "P" 0.8, "D" 1.0, "C" 1.2,\
		    "L" 1.6, "X" 1.8, "S" 2.0, "P" 2.2, "D" 2.4, "C" 2.6,\
                    "L" 3.0, "X" 3.2, "S" 3.4, "P" 3.6, "D" 3.8, "C" 4.0,\
                    "L" 4.4, "X" 4.6, "S" 4.8, "P" 5.0, "D" 5.2, "C" 5.4,\
                    "L" 5.8, "X" 6.0, "S" 6.2, "P" 6.4, "D" 6.6, "C" 6.8)

# Kernel
set label "1179.38" at 0.2,1.01 rotate by 90 
set label "1500.00" at 0.4,0.794 rotate by 90
set label "1546.89" at 0.6,0.77 rotate by 90
set label "1560.50" at 0.8,0.764 rotate by 90
set label "1557.28" at 1.0,0.766 rotate by 90
set label "1578.70" at 1.2,0.754 rotate by 90

# OSDB IR
set label "170.40" at 1.6,1.0 rotate by 90
set label "104.68" at 1.8,0.62 rotate by 90
set label "100.41" at 2.0,0.59 rotate by 90
set label "88.07"  at 2.2,0.525 rotate by 90
set label "85.64"  at 2.4,0.51 rotate by 90
set label "95.38"  at 2.6,0.57 rotate by 90

# OSDB OLTP
set label "330.28" at 3.0,1.01 rotate by 90
set label "154.55" at 3.2,0.472 rotate by 90
set label "152.20" at 3.4,0.47 rotate by 90
set label "131.21" at 3.6,0.405 rotate by 90
set label "132.47" at 3.8,0.41 rotate by 90
set label "128.45" at 4.0,0.39 rotate by 90

# DBENCH
set label "37.9645" at 4.4,1.01 rotate by 90
set label "9.61810" at 4.6,0.26 rotate by 90
set label "9.64057" at 4.8,0.26 rotate by 90
set label "9.1399" at 5.0,0.25 rotate by 90
set label "9.50547" at 5.2,0.255 rotate by 90
set label "9.71706" at 5.4,0.26 rotate by 90

# SPECweb99
set label "385.3" at 5.8,1.01 rotate by 90
set label "383.1" at 6.0,1.0 rotate by 90
set label "362.9" at 6.2,0.95 rotate by 90
set label "359.4" at 6.4,0.94 rotate by 90
set label "360.0" at 6.6,0.94 rotate by 90
set label "356.0" at 6.8,0.93 rotate by 90

# HACK for at faa text under grafen
set xlabel " " 0.0,-0.6
set label "Linux build time (sec)" at 0.1,-0.115
set label "OSDB IR (tup/sec)" at 1.57,-0.115
set label "OSDB OLTP (tup/sec)" at 2.88,-0.115
set label "dbench (MB/sec)" at 4.42,-0.115
set label "SPECweb99 (KB/sec)" at 5.7,-0.115

plot [0:7][0:1.25] "l.plot" with boxes lc rgb "#000066" , "x.plot" with boxes lc rgb "#141496", "s.plot" with boxes lc rgb "#3a3aab", "p.plot" with boxes lc rgb "#6565d2", "d.plot" with boxes lc rgb "#8888bd", "c.plot" with boxes lc rgb "#c9c9cf"

# 1 Kernel
# 2 OSDB IR
# 3 OSDB OLTP
# 4 dbench
# 5 specweb99
