set grid ytics
set grid noxtics
unset key

set boxwidth 0.15
set style fill solid 1.200000 border -1

set output "benchmark_brian3_without_linux.pdf"
set terminal pdf
set ytics 0,.1,1.2

set xtics nomirror ("X" 0.2, "S" 0.4, "P" 0.6, "D" 0.8, "C" 1.0,\
		    "X" 1.6, "S" 1.8, "P" 2.0, "D" 2.2, "C" 2.4,\
                    "X" 3.0, "S" 3.2, "P" 3.4, "D" 3.6, "C" 3.8,\
                    "X" 4.4, "S" 4.6, "P" 4.8, "D" 5.0, "C" 5.2,\
           	    "X" 5.8, "S" 6.0, "P" 6.2, "D" 6.4, "C" 6.6)

# Kernel
set label "1500.00" at 0.2,1.01 rotate by 90 
set label "1546.89" at 0.4,0.98 rotate by 90
set label "1560.50" at 0.6,0.972 rotate by 90
set label "1557.28" at 0.8,0.973 rotate by 90
set label "1578.70" at 1.0,0.961 rotate by 90


# OSDB IR
set label "104.68" at 1.6,1.01 rotate by 90
set label "100.41" at 1.8,0.969 rotate by 90
set label "88.07"  at 2.0,0.851 rotate by 90
set label "58.64"  at 2.2,0.828 rotate by 90
set label "95.38"  at 2.4,0.921 rotate by 90

# OSDB OLTP
set label "154.55" at 3.0,1.01 rotate by 90
set label "152.20" at 3.2,0.995 rotate by 90
set label "131.21" at 3.4,0.859 rotate by 90
set label "132.47" at 3.6,0.867 rotate by 90
set label "128.45" at 3.8,0.841 rotate by 90

# DBENCH
set label "9.61810" at 4.4,1.01 rotate by 90
set label "9.64057" at 4.6,1.012 rotate by 90
set label "9.1399"  at 4.8,0.960 rotate by 90
set label "9.50547" at 5.0,0.998 rotate by 90
set label "9.71706" at 5.2,1.020 rotate by 90

# SPECweb99
set label "383.1" at 5.8,1.01 rotate by 90
set label "362.9" at 6.0,0.957 rotate by 90
set label "359.4" at 6.2,0.948 rotate by 90
set label "360.0" at 6.4,0.950 rotate by 90
set label "356.0" at 6.6,0.939 rotate by 90

# HACK for at faa text under grafen
set xlabel " " 0.0,-0.6
set label "Linux build time (sec)" at 0.02,-0.115
set label "OSDB IR (tup/sec)" at 1.49,-0.115
set label "OSDB OLTP (tup/sec)" at 2.8,-0.115
set label "dbench (MB/sec)" at 4.32,-0.115
set label "SPECweb99 (KB/sec)" at 5.6,-0.115

plot [0:6.8][0:1.2] "x.plot" with boxes lc rgb "#141496", "s.plot" with boxes lc rgb "#3a3aab", "p.plot" with boxes lc rgb "#6565d2", "d.plot" with boxes lc rgb "#8888bd", "c.plot" with boxes lc rgb "#c9c9cf"

# 1 Kernel
# 2 OSDB IR
# 3 OSDB OLTP
# 4 dbench
# 5 specweb99
