#set xlabel "Time (min)"
#set ylabel "Percent"
set grid ytics
set grid noxtics
unset key

set boxwidth 0.15
set style fill solid 1.200000 border -1

#set title "Benchmarks"
set output "vm_mem_size_orval_kernel.pdf"
set terminal pdf
set ytics 0,150,1400

set xtics nomirror ("L" 0.2, "X" 0.4, "C" 0.6,\
		    "L" 1.0, "X" 1.2, "C" 1.4,\
		    "L" 1.8, "X" 2.0, "C" 2.2,\
		    "L" 2.6, "X" 2.8, "C" 3.0)

# 64
set label "1199,613" at 0.2,1205 rotate by 90 
set label "340.559" at 0.4,344 rotate by 90
set label "347.149" at 0.6,350 rotate by 90

# 128
set label "293.596" at 1.0,295 rotate by 90 
set label "316.529" at 1.2,320 rotate by 90
set label "322.030" at 1.4,325 rotate by 90

# 256
set label "290.752" at 1.8,292 rotate by 90 
set label "310.185" at 2.0,314 rotate by 90
set label "321.053" at 2.2,324 rotate by 90

# 512
set label "289.525" at 2.6,292 rotate by 90 
set label "313.530" at 2.8,315 rotate by 90
set label "329.170" at 3.0,333 rotate by 90

# HACK for at faa text under grafen
set xlabel " " 0.0,-0.6
set label "64MB" at 0.335,-140.115
set label "128MB" at 1.12,-140.115
set label "256MB" at 1.93,-140.115
set label "512MB" at 2.73,-140.115

plot [0.8:3.2][0:1400] "l_k.plot" with boxes lc rgb "#000066", "x_k.plot" with boxes lc rgb "#3a3aab", "c_k.plot" with boxes lc rgb "#8888bd"

# 000066
# 141496
# 3a3aab
# 6565d2
# 8888bd
# c9c9cf
