#set xlabel "Time (min)"
#set ylabel "Percent"
set grid ytics
set grid noxtics
unset key

set boxwidth 0.15
set style fill solid 1.200000 border -1

#set title "Benchmarks"
set output "benchmark_orval.pdf"
set terminal pdf
set ytics 0,.1,1.3

set xtics nomirror ("L" 0.2, "X" 0.4, "S" 0.6, "P" 0.8, "D" 1.0, "C" 1.2,\
		    "L" 1.6, "X" 1.8, "S" 2.0, "P" 2.2, "D" 2.4, "C" 2.6,\
  		    "L" 3.0, "X" 3.2, "S" 3.4, "P" 3.6, "D" 3.8, "C" 4.0,\
		    "L" 4.4, "X" 4.6, "S" 4.8, "P" 5.0, "D" 5.2, "C" 5.4,\
                    "L" 5.8, "X" 6.0, "S" 6.2, "P" 6.4, "D" 6.6, "C" 6.8)

# Kernel
set label "288.30" at 0.2,1.01 rotate by 90 
set label "331.92" at 0.4,0.87 rotate by 90
set label "379.97" at 0.6,0.765 rotate by 90
set label "347.21" at 0.8,0.84 rotate by 90
set label "341.00" at 1.0,0.85 rotate by 90
set label "339.74" at 1.2,0.854 rotate by 90

# OSDB IR
set label "2210.41" at 1.6,1.01 rotate by 90
set label "843.59" at 1.8,0.392 rotate by 90
set label "853.82" at 2.0,0.395 rotate by 90
set label "759.58" at 2.2,0.35 rotate by 90
set label "782.82" at 2.4,0.36 rotate by 90
set label "769.22" at 2.6,0.352 rotate by 90

# OSDB OLTP
set label "149.73" at 3.0,1.01 rotate by 90
set label "45.39" at 3.2,0.313 rotate by 90
set label "46.60" at 3.4,0.315 rotate by 90
set label "42.71" at 3.6,0.29 rotate by 90
set label "40.85" at 3.8,0.28 rotate by 90
set label "40.60" at 4.0,0.275 rotate by 90

# DBENCH
set label "612.30" at 4.4,1.01 rotate by 90
set label "177.06" at 4.6,0.30 rotate by 90
set label "168.626" at 4.8,0.28 rotate by 90
set label "168.336" at 5.0,0.28 rotate by 90
set label "177.854" at 5.2,0.30 rotate by 90
set label "160.727" at 5.4,0.27 rotate by 90

# SPECweb99
set label "315.2" at 5.8,1.01 rotate by 90
set label "312.2" at 6.0,1.0 rotate by 90
set label "296.5" at 6.2,0.95 rotate by 90
set label "99.7" at 6.4,0.33 rotate by 90
set label "100.1" at 6.6,0.33 rotate by 90
set label "108.2" at 6.8,0.35 rotate by 90

# HACK for at faa text under grafen
set xlabel " " 0.0,-0.6
set label "Linux build time (sec)" at 0.1,-0.115
set label "OSDB IR (tup/sec)" at 1.57,-0.115
set label "OSDB OLTP (tup/sec)" at 2.88,-0.115
set label "dbench (MB/sec)" at 4.42,-0.115
set label "SPECweb99 (KB/sec)" at 5.7,-0.115

plot [0:7][0:1.25] "l.plot" with boxes lc rgb "#000066" , "x.plot" with boxes lc rgb "#141496", "s.plot" with boxes lc rgb "#3a3aab", "p.plot" with boxes lc rgb "#6565d2", "d.plot" with boxes lc rgb "#8888bd", "c.plot" with boxes lc rgb "#c9c9cf"

# 1 Kernel
# 2 OSDB IR
# 3 OSDB OLTP
# 4 dbench
# 5 specweb99
