set grid ytics
set grid noxtics
unset key

set boxwidth 0.15
set style fill solid 1.200000 border -1

set output "benchmark_orval_without_linux.pdf"
set terminal pdf
set ytics 0,.1,1.1

set xtics nomirror ("X" 0.2, "S" 0.4, "P" 0.6, "D" 0.8, "C" 1.0,\
		    "X" 1.6, "S" 1.8, "P" 2.0, "D" 2.2, "C" 2.4,\
                    "X" 3.0, "S" 3.2, "P" 3.4, "D" 3.6, "C" 3.8,\
                    "X" 4.4, "S" 4.6, "P" 4.8, "D" 5.0, "C" 5.2,\
           	    "X" 5.8, "S" 6.0, "P" 6.2, "D" 6.4, "C" 6.6)

# Kernel
set label "331.92" at 0.2,1.01 rotate by 90 
set label "379.97" at 0.4,0.884 rotate by 90
set label "347.21" at 0.6,0.966 rotate by 90
set label "341.00" at 0.8,0.983 rotate by 90
set label "339.74" at 1.0,0.987 rotate by 90

# OSDB IR
set label "843.59" at 1.6,1.01 rotate by 90
set label "853.82" at 1.8,1.022 rotate by 90
set label "759.58" at 2.0,0.910 rotate by 90
set label "782.82" at 2.2,0.938 rotate by 90
set label "769.22" at 2.4,0.922 rotate by 90

# OSDB OLTP
set label "45.39" at 3.0,1.01 rotate by 90
set label "46.60" at 3.2,1.037 rotate by 90
set label "42.71" at 3.4,0.951 rotate by 90
set label "40.85" at 3.6,0.910 rotate by 90
set label "40.60" at 3.8,0.904 rotate by 90

# DBENCH
set label "177.060" at 4.4,1.01 rotate by 90
set label "168.626" at 4.6,0.962 rotate by 90
set label "168.336" at 4.8,0.961 rotate by 90
set label "177.845" at 5.0,1.014 rotate by 90
set label "160.727" at 5.2,0.918 rotate by 90

# SPECweb99
set label "312.2" at 5.8,1.01 rotate by 90
set label "296.5" at 6.0,0.960 rotate by 90
set label "99.7"  at 6.2,0.329 rotate by 90
set label "100.1" at 6.4,0.331 rotate by 90
set label "108.2" at 6.6,0.357 rotate by 90

# HACK for at faa text under grafen
set xlabel " " 0.0,-0.6
set label "Linux build time (sec)" at 0.02,-0.115
set label "OSDB IR (tup/sec)" at 1.49,-0.115
set label "OSDB OLTP (tup/sec)" at 2.8,-0.115
set label "dbench (MB/sec)" at 4.32,-0.115
set label "SPECweb99 (KB/sec)" at 5.6,-0.115

plot [0:6.8][0:1.20] "x.plot" with boxes lc rgb "#141496", "s.plot" with boxes lc rgb "#3a3aab", "p.plot" with boxes lc rgb "#6565d2", "d.plot" with boxes lc rgb "#8888bd", "c.plot" with boxes lc rgb "#c9c9cf"

# 1 Kernel
# 2 OSDB IR
# 3 OSDB OLTP
# 4 dbench
# 5 specweb99
